import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';
import 'package:syncrow_web/pages/device_managment/one_gang_switch/bloc/wall_light_switch_bloc.dart';

abstract final class WallLightSwitchBlocFactory {
  const WallLightSwitchBlocFactory._();

  static WallLightSwitchBloc create({
    required String deviceId,
  }) {
    return WallLightSwitchBloc(
      deviceId: deviceId,
      controlDeviceService:
          DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService:
          DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
